/***
 * Excerpted from "Deliver Audacious Web Apps with Ember 2",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/mwjsember for more book information.
***/
import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('edit-note', 'Integration | Component | edit note', {
  integration: true
});

test('it renders', function(assert) {

  this.render(hbs`{{edit-note}}`);

  assert.equal(this.$().text().trim(), 'save\n  close');

});

test('it saves', function(assert) {
  this.set('note',{
    save: function() {
      assert.ok(true,'saved the note');
    }
  });
  this.render(hbs`{{edit-note note=note}}`);

  this.$().find('#save').click();
});

test('it closes', function(assert) {
  this.set('close', function() {
    assert.ok(true,'closed the window');
  })
  this.render(hbs`{{edit-note close=(action close)}}`);

  this.$().find('#close').click();
});
